## wxHtmlTag

This class represents a single HTML tag. It is used by tag handlers.

Derived from

wxObject

Include files

<wx/html/htmltag.h>

Members

wxHtmlTag::wxHtmlTag
wxHtmlTag::GetAllParams
wxHtmlTag::GetBeginPos
wxHtmlTag::GetEndPos1
wxHtmlTag::GetEndPos2
wxHtmlTag::GetName
wxHtmlTag::GetParam
wxHtmlTag::GetParamAsColour
wxHtmlTag::GetParamAsInt
wxHtmlTag::HasEnding
wxHtmlTag::HasParam
wxHtmlTag::IsEnding
wxHtmlTag::ScanParam

### wxHtmlTag::wxHtmlTag

wxHtmlTag(const wxString& source, int pos, int end_pos, wxHtmlTagsCache* cache)

Constructor. You will probably never have to construct a wxHtmlTag object yourself. Feel free to ignore the constructor parameters. Have a look at src/html/htmlpars.cpp if you're interested in creating it.

### wxHtmlTag::GetAllParams

const wxString& GetAllParams() const

Returns a string containing all parameters.

Example : tag contains `<FONT SIZE=+2 COLOR="#000000">`. Call to tag.GetAllParams() would return `SIZE=+2 COLOR="#000000"`.

### wxHtmlTag::GetBeginPos

int GetBeginPos() const

Returns beginning position of the text between this tag and paired ending tag. See explanation (returned position is marked with '|'):

    bla bla bla <MYTAG> bla bla internal text</MYTAG> bla bla
                       |

### wxHtmlTag::GetEndPos1

int GetEndPos1() const

Returns ending position of the text between this tag and paired ending tag. See explanation (returned position is marked with '|'):

    bla bla bla <MYTAG> bla bla internal text</MYTAG> bla bla
                                            |

### wxHtmlTag::GetEndPos2

int GetEndPos2() const

Returns ending position 2 of the text between this tag and paired ending tag. See explanation (returned position is marked with '|'):

    bla bla bla <MYTAG> bla bla internal text</MYTAG> bla bla
                                                   |

### wxHtmlTag::GetName

wxString GetName() const

Returns tag's name. The name is always in uppercase and it doesn't contain '<' or '/' characters. (So the name of `<FONT SIZE=+2>` tag is "FONT" and name of `</table>` is "TABLE")

### wxHtmlTag::GetParam

wxString GetParam(const wxString& par, bool with_commas = FALSE) const

Returns the value of the parameter. You should check whether the parameter exists or not (use HasParam) first.

Parameters

par

The parameter's name.

with_commas

TRUE if you want to get commas as well. See example.

Example

    ...
    /* you have wxHtmlTag variable tag which is equal to
       HTML tag <FONT SIZE=+2 COLOR="#0000FF"> */
    dummy = tag.GetParam("SIZE");
       // dummy == "+2"
    dummy = tag.GetParam("COLOR");
       // dummy == "#0000FF"
    dummy = tag.GetParam("COLOR", TRUE);
       // dummy == "\"#0000FF\"" -- see the difference!!

### wxHtmlTag::GetParamAsColour

bool GetParamAsColour(const wxString& par, wxColour *clr) const

Interprets tag parameter par as colour specification and saves its value into wxColour variable pointed by clr.

Returns TRUE on success and FALSE if par is not colour specification or if the tag has no such parameter.

### wxHtmlTag::GetParamAsInt

bool GetParamAsInt(const wxString& par, int *value) const

Interprets tag parameter par as an integer and saves its value into int variable pointed by value.

Returns TRUE on success and FALSE if par is not an integer or if the tag has no such parameter.

### wxHtmlTag::HasEnding

bool HasEnding() const

Returns TRUE if this tag is paired with ending tag, FALSE otherwise.

See the example of HTML document:

    <html><body>
    Hello<p>
    How are you?
    <p align=center>This is centered...</p>
    Oops<br>Oooops!
    </body></html>

In this example tags HTML and BODY have ending tags, first P and BR doesn't have ending tag while the second P has. The third P tag (which is ending itself) of course doesn't have ending tag.

### wxHtmlTag::HasParam

bool HasParam(const wxString& par) const

Returns TRUE if the tag has a parameter of the given name. Example : `<FONT SIZE=+2 COLOR="#FF00FF">` has two parameters named "SIZE" and "COLOR".

Parameters

par

the parameter you're looking for.

### wxHtmlTag::IsEnding

bool IsEnding() const

Returns TRUE if this tag is ending one. (`</FONT>` is ending tag, `<FONT>` is not)

### wxHtmlTag::ScanParam

wxString ScanParam(const wxString& par, const wxChar *format, void *value) const

This method scans the given parameter. Usage is exactly the same as sscanf's usage except that you don't pass a string but a parameter name as the first argument and you can only retrieve one value (i.e. you can use only one "%" element in format).

Parameters

par

The name of the tag you want to query

format

scanf()-like format string.

value

pointer to a variable to store the value in